package com.simuwang.manage.api.file;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dos.FileManageDO;
import com.simuwang.base.pojo.dto.query.FileManagePageQuery;
import com.simuwang.base.pojo.vo.FileManageVO;
import com.simuwang.logging.SystemLog;
import com.simuwang.manage.service.FileMangeService;
import com.smppw.common.pojo.ResultVo;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * FileName: FileManageController
 * Author:   chenjianhua
 * Date:     2024/12/19 13:57
 * Description: ${DESCRIPTION}
 */
@SystemLog(value = "基金别名管理")
@RestController
@RequestMapping("/v1/file-manage")
public class FileManageController {

    @Autowired
    private FileMangeService fileMangeService;
    /**
     * 文件管理列表查询
     * @param fileManagePageQuery
     * @return
     */
    @SystemLog(value = "文件管理列表")
    @GetMapping("/list")
    public MybatisPage<FileManageVO> searchFileManage(FileManagePageQuery fileManagePageQuery){
        MybatisPage<FileManageVO> result = fileMangeService.searchFileManage(fileManagePageQuery);
        return result;
    }

    /**
     * 上传文件
     *
     * @param file
     * @return
     */
    @SystemLog(value = "上传文件", type = SystemLog.Type.UPLOAD_OR_IMPORT)
    @PostMapping("upload-file")
    public ResultVo uploadFile(@RequestPart(value = "file") MultipartFile file,
                                       @RequestParam("fundId") String fundId,
                                       @RequestParam("fileType") String fileType,
                                       @RequestParam("fileDate") String fileDate) {
        ResultVo vo = fileMangeService.uploadFile(file,fundId, fileType,fileDate);
        return vo;
    }
}
